This is a fork from the original mod: Repair Requires Materials

https://www.nexusmods.com/valheim/mods/215 by [aedenthorn](https://www.nexusmods.com/valheim/users/18901754)

The mod has now developed and changed into something far different from the original.

Github (This Mod): https://github.com/cjayride/ValheimMods/tree/master/RepairRequiresMats

Github (Original Mod): https://github.com/aedenthorn/ValheimMods/tree/master/RepairRequiresMats

## Repair with coins!

- Anything with durability that can be repaired (armor, weapons, etc) now requires Coins to repair it.

## Setup

- There is a configuration file that contains values for materials used to build items. *item_values.json*

- The more expensive the material, the more costly in Coins to repair an item. A value of -1 means no cost to repair that material of an item. It works by counting the number of materials necessary to create the item, and then multiplies that by the value set in item_values.json. This gives the Coin cost to repair.

- You may need to adjust the values to match the economy and Coin drops of your server.

- The default values were configured to match the coin economy of a cjaycraft modpack server https://valheim.thunderstore.io/package/cjayride/cjaycraft_ultimate_modpack/

- This mod requires EpicLoot, and Extended Item Data Framework. I'm not very good at programming, so the only way I could get this to work for my community server was piggy backing off the functions of these other mods.

## Important EpicLoot Configuration

I'm very sorry I couldn't get this to work out-of-the-box. I'm NOT an experienced programmer and this was the only way I could figure it out.

So the problem was, on dedicated servers the recipes.json file in the EpicLoot plugins folder overwrites any custom recipes you might have loaded from the CustomRecipes mod.

To overcome this, you need to directly edit the recipes.json file for EpicLoot in your game.

The file is: BepInEx/plugins/RandyKnapp-EpicLoot/recipes.json

Near the top is a recipe for GoldRubyRing

    {
      "name": "Recipe_GoldRubyRing",
      "item": "GoldRubyRing",
      "craftingStation": "forge",
     "resources": [
	{ "item": "Coins", "amount": 100 },
        { "item": "Bronze", "amount": 4 },
        { "item": "Ruby", "amount": 2 }
      ]
    },

You just need to make sure that "Coins" are a recipe part for GoldRubyRing -- it can be any amount.

Again, sorry for the weird workaround!

## Contact

Twitter: twitter.com/cjayride

Discord: discord.gg/cjayride (find me at the top of the user list) "cjayride"

Twitch: twitch.tv/cjayride

## Change log

- 0.7.2 - 2023/7/13

Added Newtonsoft.Json.dll to the plugins folder, seems to be required for mod to work.

- 0.7.1 - 2023/7/13

Removed the dependency RandyKnapp-ExtendedItemDataFramework-1.0.11 because it is depreciated (breaks everything) and I believe is no longer needed.

- 0.7.0 - 2023/7/10

MISTLANDS UPDATE

Updated dependencies list

Configuration now allows for easier placement of configuration file. It can be placed anywhere in the BepInEx folder that you specify.

See cjayride.RepairREquiresMats-Coins-CJAYCRAFT-fix.cfg

- 0.6.4 - 2022/2/23

Removed the RecipeCusomization dependency and file GoldRubyRing.json because it turns out that this workaround doesn't work on dedicated servers, only on client player run games. So in order to get this to work, you're now required to make sure that the recipes.json file in the EpicLoog plugins folder includes a GoldRubyRing with Coins as a required recipe part like follows:

    {
      "name": "Recipe_GoldRubyRing",
      "item": "GoldRubyRing",
      "craftingStation": "forge",
     "resources": [
	{ "item": "Coins", "amount": 100 },
        { "item": "Bronze", "amount": 4 },
        { "item": "Ruby", "amount": 2 }
      ]
    },

- 0.6.3 - 2022/2/18

Forgot to include RecipeCustomization mod as dependecy. It's actually not required though so long as you have EpicLoot installed AND your EpicLoot recipe.json file includes a recipe for "Recipe_GoldRubyRing" with Coins as a required resource to craft it. Some servers may want to change the recipe.

- 0.6.2 - 2022/2/18

Fixed critical bug with dependencies. It been difficult getting this mod on Thunderstore from my community server because I didn't know it relied on so many things.

- 0.6.1 - 2022/2/17

Removed test code mod config enforcer, because it was incomplete and prohibiting the mod from running at all.

- 0.6.0 - 2022/2/16

First upload to Thunderstore